declare module 'slash2';
declare module '*.css';
declare module '*.less';
declare module '*.scss';
declare module '*.sass';
declare module '*.svg';
declare module '*.png';
declare module '*.jpg';
declare module '*.jpeg';
declare module '*.gif';
declare module '*.bmp';
declare module '*.tiff';
declare module 'omit.js';
declare module 'numeral';
declare module '@antv/data-set';
declare module 'mockjs';
declare module 'react-fittext';
declare module 'bizcharts-plugin-slider';

declare const REACT_APP_ENV: 'test' | 'dev' | 'pre' | false;

/** 钉钉扫码登录 */
declare function DDLogin({ }): void;
/** 打印 */
declare function getCLodop(oOBJECT?: any, oEMBED?: any): any;

declare module 'content-disposition';

/** 全局配置类型 */
type AppConfigType = {
    dev: boolean;
    /** API根地址 */
    apiRoot: string;
    /** 文件预览根地址 */
    fileViewRoot: string;
    title: string;
    systemName: string;
    version: string;
    company: string;
    companyFullName: string;
    copyright: string;
    publicKey: string;
    edition: 'release' | 'debug';
    /** 授权单位 */
    lodopName: string;
    /** 序列号 */
    lodopNumber: string;
};
/** 统一配置 */
declare let AppConfig: AppConfigType;

declare module 'better-xlsx';
declare module 'file-saver';
